package com.m2pool.common.security.annotation;

import org.springframework.cloud.openfeign.EnableFeignClients;

import java.lang.annotation.*;

/**
 * @Description 自定义feign注解
 *  * 添加basePackages 主类包路径
 * @Date 2024/6/13 11:12
 * @Author dy
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@EnableFeignClients
public @interface EnableM2PoolFeignClients {

    String[] value() default {};

    String[] basePackages() default { "com.m2pool" };

    Class<?>[] basePackageClasses() default {};

    Class<?>[] defaultConfiguration() default {};

    Class<?>[] clients() default {};
}
